/*
 * mount a filesystem without an attached block dev
 * avoids using /dev/null :)
 * (c) 2004, mmu_man, revol@free.fr
 */

#include <stdio.h>
#include <unistd.h>

int main(int argc, char **argv)
{
	char *fstype = NULL;
	char *mpoint = NULL;
	int err;
	if (argc < 3) {
		printf("%s fstype mountpoint\n", argv[0]);
		return 1;
	}
	fstype = argv[1];
	mpoint = argv[2];
	err = mount(fstype, mpoint, NULL, 0, NULL, 0);
	if (err < 0) {
		fprintf(stderr, "mount: %s", strerror(err));
		return 1;
	}
	return 0;
}
